mxMouseAdapter (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.swing.util
Class mxMouseAdapter

    java.lang.Object
      com.mxgraph.swing.util.mxMouseAdapter

All Implemented Interfaces:
  MouseListener, MouseMotionListener, EventListener

Direct Known Subclasses:
  mxConnectionHandler, mxGraphHandler, mxInsertHandler, mxPanningHandler, mxRotationHandler

    public class mxMouseAdapter

extends Object
implements MouseMotionListener, MouseListener

Constructor Summary
`mxMouseAdapter()`

Method Summary
`void` | `mouseClicked(MouseEvent e)`
`void` | `mouseDragged(MouseEvent e)`
`void` | `mouseEntered(MouseEvent e)`
`void` | `mouseExited(MouseEvent e)`
`void` | `mouseMoved(MouseEvent e)`
`void` | `mousePressed(MouseEvent e)`
`void` | `mouseReleased(MouseEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxMouseAdapter

    public mxMouseAdapter()

Method Detail

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Specified by:
    `mouseReleased` in interface `MouseListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Specified by:
    `mouseClicked` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Specified by:
    `mouseEntered` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent e)

  Specified by:
    `mouseExited` in interface `MouseListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.